# Ethan Yoo

This repository hosts files used by the static site generator [Hugo](https://gohugo.io/) to create [my website](https://ethanyoo.com/). I use a Git post-receive hook to download Hugo and copy the static output on my web hosting service, which is currently [NearlyFreeSpeech.NET](https://www.nearlyfreespeech.net/).

I use a modified version (e.g., 404.html and index.html) of [smol](https://github.com/colorchestra/smol/) as the website's theme. The modified source code is [also available on Framagit](https://framagit.org/ethan/geronimo).

# For a local version of the website

1. `git clone https://framagit.org/ethan/hugo-src.git someFolder`
2. `cd someFolder`
3. `hugo server` or [its alias](https://discourse.gohugo.io/t/hugo-serve-vs-hugo-server/24872) `hugo serve`
4. Open a browser and navigate to http://localhost:1313/

# To browse the source code

This project is pushed to three remote repositories.

* [Amolith](https://secluded.site/) maintains [NixNet](https://nixnet.services/) as an individual, hosting "a variety of services that are available for anyone to use free of charge." These services include [a Gitea instance](https://git.nixnet.services/ethan).
* [Framasoft](https://framasoft.org/) is a French nonprofit organization actively engaged in the free culture movement and host to [a GitLab instance](https://framagit.org/ethan).
* [My personal Gitea instance](https://git.eyoo.link/ethan)

# To submit feedback, suggest specific changes, etc.

* Email
* [Issue tracker on Framagit](https://framagit.org/ethan/hugo-src/-/issues/)

# Licensing

SPDX-License-Identifier: `CC-BY-SA-4.0`

**Original textual content** is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International License,](https://creativecommons.org/licenses/by-sa/4.0/) the full text of which is available in the `LICENSE` file.

I post **limited excerpts of copyrighted content** under [the fair use doctrine.](https://www.copyright.gov/fair-use/more-info.html)

**Images** are licensed on a per-file basis, possibly using [small print.](https://html.spec.whatwg.org/multipage/text-level-semantics.html#the-small-element)

## Theme: [MIT (Expat) License](https://choosealicense.com/licenses/mit/)

Copyright &copy; 2016 Vimux

Copyright &copy; 2020 colorchestra

Copyright &copy; 2021 Ethan Yoo

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
