---
title: Remote education and surveillance
date: 2020-08-26T19:00:00
tags: ['COVID-19', 'Digital rights', 'Education']
categories: ['August 2020']
year: ['2020']
aliases:
- /2020-08-26/
- /2020/08-26/
description: "Police agencies and schools are using surveillance tools that violate our right to privacy."
---

[Electronic Frontier Foundation. (2020, July 13). *EFF launches searchable database of police agencies and the tech tools they use to spy on communities* [Press release].](https://www.eff.org/press/releases/eff-launches-searchable-database-police-agencies-and-tech-tools-they-use-spy)

> *Information was collected on the most pervasive surveillance technologies in use, including drones, body-worn cameras, face recognition, cell-site simulators, automated license plate readers, predictive policing, camera registries, police partnerships with Amazon’s Ring camera network, and gunshot detection sensors. It also maps out more than 130 law enforcement tech hubs that process real-time surveillance data.*

[Kelley, J., & Oliver, L. (2020, August 20). *Proctoring apps subject students to unnecessary surveillance.* Electronic Frontier Foundation.](https://www.eff.org/deeplinks/2020/08/proctoring-apps-subject-students-unnecessary-surveillance)

> *Aside from privacy concerns, these tools could easily penalize students who don’t have control over their surroundings, or those with less functional hardware or low-speed Internet. For students who don’t have home Internet access at all, they are locked out of testing altogether. They could also cause havoc for students who already have trouble focusing during tests, either because of a difficulty maintaining “eye contact” with their device, or simply because tests make them nervous. Software that assumes all students take tests the same way -- in rooms that they can control, their eyes straight ahead, fingers typing at a routine pace -- are undoubtedly leaving some students out. [...] Educational institutions will need to adapt fundamentally to distance learning. New technologies and new teaching methods will be a part of that. Perhaps schools will need to reevaluate the need for closed book exams, or use fewer tests overall as compared to project-based assessments.*

[Nguyen, T. (2020, August 26). *College reopenings -- and closures -- are harming low-income students.* Vox.](https://www.vox.com/the-goods/2020/8/26/21401388/colleges-closing-reopening-fall-semester-vulnerable-students)

> *The decision to plow ahead with reopening, as Faye noted, disproportionately affects low-income students, especially those who count on schools for work-study jobs, food, housing, and health care needs. The unavoidable closures in March had already displaced thousands of students, some of whom relied on mutual aid networks and the generosity of strangers and alumni to afford their move home or a place to stay. The discordant nature of how colleges are moving online have left the most economically marginalized students with minimal resources, forced to make frantic changes to their lives at the directive of their institutions.*
