---
title: Resources
date: 2024-05-08
layout: permalink
description: "Browse the resources I use and recommend, including articles and free software."
toc: true
---

## Educational resources and open licenses {#OER}

[Creative Commons](https://creativecommons.org/)

[Free Software Foundation: Free software resources](https://www.fsf.org/resources/)

[Open Educational Resources (OER Commons): Search resources](https://www.oercommons.org/browse)

[Saylor Academy: College Success](https://learn.saylor.org/course/view.php?id=700)

## Recommended reading {#reading}

[About Feeds: What is a feed?](https://aboutfeeds.com/)

[Annamma, S. A. (2018). *The pedagogy of pathologization: Disabled girls of color in the school-prison nexus.* Routledge.](https://doi.org/10.4324/9781315523057)

Lydia X. Z. Brown on Autistic Hoya

* [*Ableism is not "bad words." It's violence.*](https://www.autistichoya.com/2016/07/ableism-is-not-bad-words-its-violence.html)

* [*Ableism/language*](https://www.autistichoya.com/p/ableist-words-and-terms-to-avoid.html)

* [*Violence in language: Circling back to linguistic ableism.*](https://www.autistichoya.com/2014/02/violence-linguistic-ableism.html)

[Pronouns.org (formerly MyPronouns.org): Resources](https://pronouns.org/resources)

[Opsahl, K. (2013, June 7). *Why metadata matters.* Electronic Frontier Foundation.](https://www.eff.org/deeplinks/2013/06/why-metadata-matters)

[Rogers, C. (2016). *Intellectual disability and being human: A care ethics model.* Routledge.](https://doi.org/10.4324/9781315638713)

[Stevenson, B. (2014). *Just mercy: A story of justice and redemption.* Spiegel & Grau.](https://www.indiebound.org/book/9780812984965)\
[Stevenson, B. (2014). *Just mercy: A story of justice and redemption.* [Audiobook]. Penguin Random House Audio.](https://libro.fm/audiobooks/9780553550610)

[Use plaintext email.](https://useplaintext.email/)

## Recommended software {#software}

I rely on [free software](https://en.wikipedia.org/wiki/Free_software) every day. Described below are the services and tools I use most often.

[Bitwarden](https://bitwarden.com/) {{< icon "/icon/bitwarden.svg" >}}: Self-hostable password manager\
Licensing: GNU Affero General Public License v3.0\
*Replaces 1Password, Dashlane, and LastPass*

[Cryptomator](https://cryptomator.org/)  {{< icon "/icon/cryptomator.svg" >}}: Client-side file encryption solution that works well with cloud storage\
Licensing: GNU General Public License v3.0\
*Replaces Boxcryptor*

[Firefly III](https://www.firefly-iii.org/) {{< icon "/icon/firefly-iii.svg" >}}: Self-hosted personal finance manager\
Licensing: GNU Affero General Public License v3.0\
*Replaces Mint and YNAB, albeit with a ["fundamentally different"](https://docs.firefly-iii.org/firefly-iii/more-information/what-its-not/) [philosophy](https://docs.firefly-iii.org/firefly-iii/more-information/personal-finances/)*

[FreshRSS](https://freshrss.org/) {{< icon "/icon/freshrss.svg" >}}: Self-hosted news aggregator\
Licensing: GNU Affero General Public License v3.0\
*Replaces Feedly and Inoreader*

[GnuPG](https://gnupg.org/) {{< icon "/icon/gnupg.svg" >}}: Used by Keyoxide's [decentralized identity verification](https://docs.keyoxide.org/) and mailbox.org's [encrypted inbox](https://mailbox.org/en/security), "GnuPG is a complete and free implementation of the OpenPGP standard as defined by RFC4880" \
Licensing: GNU General Public License v2.0 or later\
*See also [Git's "Signing Your Work"](https://git-scm.com/book/en/v2/Git-Tools-Signing-Your-Work) and [Keyoxide](https://keyoxide.org/)*

[Joplin](https://joplinapp.org/) {{< icon "/icon/joplin.svg" >}}: Note-taking and task management application with encryption and synchronization\
Licensing: MIT (Expat) License\
*Replaces Google Keep and Microsoft OneNote*

[linkding](https://github.com/sissbruecker/linkding#readme) {{< icon "/icon/linkding.svg" >}}: Simple bookmark tool that can automatically save bookmarked pages to the [Internet Archive's Wayback Machine](https://archive.org/web/)\
Licensing: MIT (Expat) License\
*See also [ArchiveBox](https://archivebox.io/)*

[Logseq](https://logseq.com/) {{< icon "/icon/logseq.png" >}}: "Privacy-first" knowledge base for writing and organizing notes\
Licensing: GNU Affero General Public License v3.0\
*Replaces Notion and Obsidian*

[mailbox.org](https://mailbox.org/en/) {{< icon "/icon/mailboxdotorg.svg" >}}: Secure mail service provider\
Licensing: Based on [Open-Xchange, Postfix, and other free software](https://userforum-en.mailbox.org/topic/is-everything-at-mailbox-org-open-source)\
*Replaces Gmail and Outlook*

[Mozilla Firefox](https://www.mozilla.org/en-US/firefox/browsers/) {{< icon "/icon/mozillafirefoxbrowser.svg" >}} and [Mozilla Thunderbird](https://www.thunderbird.net/en-US/) {{< icon "/icon/mozillathunderbird.svg" >}}: Web browser (desktop and mobile) and email client that can also manage contacts, calendars, and feeds (desktop)\
Licensing: Mozilla Public License 2.0\
*Firefox replaces Microsoft Edge, Google Chrome, etc. while Thunderbird replaces eM Client, Mailbird, and Microsoft Outlook. See [FairEmail](https://email.faircode.eu/) for a mobile email client*

[Nextcloud](https://nextcloud.com/athome/) {{< icon "/icon/nextcloud.svg" >}}: Self-hosted cloud storage and collaboration platform\
Licensing: GNU Affero General Public License v3.0 or later (server)\
*Replaces Google Drive and Microsoft 365 -- CalDAV and CardDAV support also allow for synchronization of calendars and contacts, respectively*

[NocoDB](https://www.nocodb.com/) {{< icon "/icon/nocodb.png" >}}: No-code database\
Licensing: GNU Affero General Public License v3.0 or later\
*Replaces Airtable*

[ntfy](https://ntfy.sh/) {{< icon "/icon/ntfy.svg" >}}: Self-hostable HTTP-based push notification service\
Licensing: Apache License 2.0 and GNU General Public License v2.0\
*See also [Gotify](https://gotify.net/)*

[Rclone](https://rclone.org/) {{< icon "/icon/rclone.svg" >}}: Cloud storage management tool (e.g., move files between different servers)\
Licensing: MIT (Expat) License\
*Replaces [a supported provider's](https://rclone.org/#providers) synchronization software (e.g., Google Drive or Microsoft OneDrive)*

[Shiori](https://github.com/go-shiori/shiori#readme) {{< icon "/icon/shiori.svg" >}}: Self-hosted read-it-later application\
Licensing: MIT (Expat) License\
*Replaces Instapaper and Pocket. See also [wallabag](https://wallabag.org/en), which I used until early December 2022*

[Signal](https://www.signal.org/) {{< icon "/icon/signal.svg" >}}: Secure instant messaging\
Licensing: GNU Affero General Public License v3.0 (server, desktop) and GNU General Public License v3.0 (mobile)\
*Replaces text messages (SMS/MMS), Facebook Messenger, Telegram, and WhatsApp*

[Syncthing](https://syncthing.net/) {{< icon "/icon/syncthing.svg" >}}: Continuous file synchronization program\
Licensing: Mozilla Public License 2.0\
*See also [Syncthing-Fork](https://github.com/Catfriend1/syncthing-android#readme) (Android) and [SyncTrayzor](https://github.com/canton7/SyncTrayzor#readme) (Windows)*

[Vikunja](https://vikunja.io/) {{< icon "/icon/vikunja.svg" >}}: Self-hostable task management application\
Licensing: GNU Affero General Public License v3.0\
*Replaces Microsoft To Do, Todoist, etc.*

[Zooming Out](https://adikos.net/blog/articles/zooming-out/): "A provisional list of Zoom replacements" that I helped research

Please feel free to contact me for further alternatives or public instances of self-hostable services!

## For more content {#other}

[Read why, as of November 2, 2020,](/cloudflare/) I host this website on [NearlyFreeSpeech.NET.](https://www.nearlyfreespeech.net/)

[Browse the Git repositories](https://git.eyoo.link/ethan) for this website and its theme.

<a class="link-000" href=https://www.eff.org/><img src="/eff.png" alt="Join EFF!" title="Electronic Frontier Foundation (EFF)" /></a>
